platform :ios, '11.0'
inhibit_all_warnings!
use_frameworks!

def common_pods
  pod 'Firebase/Core'
  pod 'Firebase/Auth'
  pod 'Firebase/Storage'
  pod 'Firebase/Analytics'
  pod 'Fabric', '~> 1.10.2'
  pod 'Crashlytics', '~> 3.13.4'
  pod 'SwiftLint'
  pod 'SDWebImage'
  pod 'AFDateHelper'
  pod 'GooglePlaces'
  pod 'GoogleMaps'
  pod 'PhoneNumberKit'
  pod 'PercentEncoder'
  pod 'WSTagsField'
  pod 'OneSignal', '>= 2.6.2', '< 3.0'
  pod 'Branch'
  pod 'LUAutocompleteView'
  pod 'RealmSwift'
  pod 'Swifter', :git => 'https://github.com/bendodson/Swifter.git'
  pod 'Analytics', '~> 3.0'
end

target 'Gyfted' do
  common_pods
  pod 'FacebookCore'
  pod 'FacebookLogin'
  pod 'FacebookShare'
  pod 'Mixpanel-swift'
end

target 'GyftedShare' do
    common_pods
end

target 'OneSignalNotificationServiceExtension' do
  pod 'OneSignal', '>= 2.6.2', '< 3.0'
end
